# Visualization
TKV3d
SelectMgr

# SelectMgr_DataMapIteratorOfDataMapOfIntegerSensitive Class Reference

`#include <SelectMgr_DataMapIteratorOfDataMapOfIntegerSensitive.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | SelectMgr_DataMapIteratorOfDataMapOfIntegerSensitive ()
Standard_EXPORT | SelectMgr_DataMapIteratorOfDataMapOfIntegerSensitive (const SelectMgr_DataMapOfIntegerSensitive &aMap)
Standard_EXPORT void | Initialize (const SelectMgr_DataMapOfIntegerSensitive &aMap)
Standard_EXPORT const Standard_Integer & | Key () const
Standard_EXPORT const Handle_SelectBasics_SensitiveEntity & | Value () const

## Constructor & Destructor Documentation

Standard_EXPORT SelectMgr_DataMapIteratorOfDataMapOfIntegerSensitive::SelectMgr_DataMapIteratorOfDataMapOfIntegerSensitive | ( |  | ) |

Standard_EXPORT SelectMgr_DataMapIteratorOfDataMapOfIntegerSensitive::SelectMgr_DataMapIteratorOfDataMapOfIntegerSensitive | ( | const SelectMgr_DataMapOfIntegerSensitive & | aMap | ) |

## Member Function Documentation

Standard_EXPORT void SelectMgr_DataMapIteratorOfDataMapOfIntegerSensitive::Initialize | ( | const SelectMgr_DataMapOfIntegerSensitive & | aMap | ) |

Standard_EXPORT const Standard_Integer& SelectMgr_DataMapIteratorOfDataMapOfIntegerSensitive::Key | ( |  | ) | const

void SelectMgr_DataMapIteratorOfDataMapOfIntegerSensitive::operator delete | ( | void * | anAddress | ) | `[inline]`

void* SelectMgr_DataMapIteratorOfDataMapOfIntegerSensitive::operator new | ( | size_t | size | ) | `[inline]`

void* SelectMgr_DataMapIteratorOfDataMapOfIntegerSensitive::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT const Handle_SelectBasics_SensitiveEntity& SelectMgr_DataMapIteratorOfDataMapOfIntegerSensitive::Value | ( |  | ) | const

The documentation for this class was generated from the following file:

- SelectMgr_DataMapIteratorOfDataMapOfIntegerSensitive.hxx